Identify a contact
curl --request POST \
--url https://insights.reforge.com/api/v1/contacts/identify \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"id": "<string>",
"shouldUnflattenProperties": true,
"properties": {
"$email": "<string>",
"$name": "<string>",
"$createdAt": "2023-11-07T05:31:56Z",
"$updatedAt": "2023-11-07T05:31:56Z",
"$contractValue": 100000
},
"account": {
"id": "account-789",
"shouldUnflattenProperties": true
},
"source": "<string>"
}
'import requests
url = "https://insights.reforge.com/api/v1/contacts/identify"
payload = {
"id": "<string>",
"shouldUnflattenProperties": True,
"properties": {
"$email": "<string>",
"$name": "<string>",
"$createdAt": "2023-11-07T05:31:56Z",
"$updatedAt": "2023-11-07T05:31:56Z",
"$contractValue": 100000
},
"account": {
"id": "account-789",
"shouldUnflattenProperties": True
},
"source": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
id: '<string>',
shouldUnflattenProperties: true,
properties: {
$email: '<string>',
$name: '<string>',
$createdAt: '2023-11-07T05:31:56Z',
$updatedAt: '2023-11-07T05:31:56Z',
$contractValue: 100000
},
account: {id: 'account-789', shouldUnflattenProperties: true},
source: '<string>'
})
};
fetch('https://insights.reforge.com/api/v1/contacts/identify', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true
}Contacts
Identify a contact
POST
/
contacts
/
identify
Identify a contact
Authorizations
Bearer authentication header of the form Bearer , where is your auth token.
Body
application/json
External contact ID
Whether to unflatten properties that are meant to be nested objects for example { "plan.type": "Pro" } will be unflattened to { "plan": { "type": "Pro" } }
Properties prefixed with $ are handled specially. Otherwise, additional key-value pairs will be metadata once ingested into the system
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Source system to limit search to
Response
201 - application/json
The customer was identified successfully
⌘I